/**
 * Copyright (C) 2011 Angelo Zerr <angelo.zerr@gmail.com> and Pascal Leclercq <pascal.leclercq@gmail.com>
 *
 * All rights reserved.
 *
 * Permission is hereby granted, free  of charge, to any person obtaining
 * a  copy  of this  software  and  associated  documentation files  (the
 * "Software"), to  deal in  the Software without  restriction, including
 * without limitation  the rights to  use, copy, modify,  merge, publish,
 * distribute,  sublicense, and/or sell  copies of  the Software,  and to
 * permit persons to whom the Software  is furnished to do so, subject to
 * the following conditions:
 *
 * The  above  copyright  notice  and  this permission  notice  shall  be
 * included in all copies or substantial portions of the Software.
 *
 * THE  SOFTWARE IS  PROVIDED  "AS  IS", WITHOUT  WARRANTY  OF ANY  KIND,
 * EXPRESS OR  IMPLIED, INCLUDING  BUT NOT LIMITED  TO THE  WARRANTIES OF
 * MERCHANTABILITY,    FITNESS    FOR    A   PARTICULAR    PURPOSE    AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE,  ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
package fr.opensagres.xdocreport.xhtml.extension;

public interface CSSStylePropertyConstants {

	String PADDING_TOP = "padding-top";
	String PADDING_RIGHT = "padding-right";
	String PADDING_LEFT = "padding-left";
	String PADDING_BOTTOM = "padding-bottom";
	String PADDING = "padding";
	String MARGIN_TOP = "margin-top";
	String MARGIN_RIGHT = "margin-right";
	String MARGIN_LEFT = "margin-left";
	String MARGIN_BOTTOM = "margin-bottom";
	String MARGIN = "margin";
	
	String BORDER_TOP = "border-top";
	String BORDER_TOP_WIDTH ="border-top-width";
	String BORDER_TOP_COLOR ="border-top-color";
	
	String BORDER_RIGHT = "border-right";
	String BORDER_RIGHT_WIDTH ="border-right-width";
	String BORDER_RIGHT_COLOR ="border-right-color";

	String BORDER_LEFT = "border-left";
	String BORDER_LEFT_WIDTH ="border-left-width";
	String BORDER_LEFT_COLOR ="border-left-color";

	String BORDER_BOTTOM = "border-bottom";
	String BORDER_BOTTOM_WIDTH ="border-bottom-width";
	String BORDER_BOTTOM_COLOR ="border-bottom-color";
	
	String BORDER = "border";
	String BORDER_COLLAPSE = "border-collapse";
	String BORDER_COLLAPSE_COLLAPSE = "collapse";
	String BORDER_COLLAPSE_SEPARATE = "separate";
	String BACKGROUND_COLOR = "background-color";
	String FONT_FAMILY = "font-family";
	String COLOR = "color";
	String TEXT_INDENT = "text-indent";
	String TEXT_ALIGN = "text-align";
	String TEXT_ALIGN_RIGHT = "right";
	String TEXT_ALIGN_LEFT = "left";
	String TEXT_ALIGN_CENTER = "center";
	String TEXT_ALIGN_JUSTIFIED = "justified";
	String LINE_HEIGHT = "line-height";
	String WIDTH = "width";
	String MIN_WIDTH = "min-width";
	String MAX_WIDTH = "max-width";
	String MAX_HEIGHT = "max-height";
	String VERTICAL_ALIGN = "vertical-align";
	String HEIGHT = "height";
	String MIN_HEIGHT = "min-height";
	String TEXT_DECORATION_UNDERLINE = "underline";
	String TEXT_DECORATION = "text-decoration";
	String FONT_WEIGHT = "font-weight";
	String FONT_VARIANT = "font-variant";
	String FONT_STYLE = "font-style";
	String FONT_SIZE = "font-size";

}
